Page MenuHomePhabricator

Add GeoHack link to "Map Details" tab
Closed, ResolvedPublic

Description

As based on this conversation and this one, let's add in a link to GeoHack on the Map Details tab, when viewing a map using maplink or mapframe.

Since we don't currently list all the same sites in the Map Details that GeoHack does, we shouldn't be limiting the options that users have for viewing maps.

Related Objects

Event Timeline

debt created this task.Dec 6 2016, 8:49 PM
Yurik moved this task from All map-related tasks to Kartographer on the Maps board.Dec 8 2016, 3:18 AM
Yurik edited projects, added Maps (Kartographer); removed Maps.

Change 325874 had a related patch set uploaded (by Yurik):
Add GeoHack to the list of map links

https://gerrit.wikimedia.org/r/325874

Yurik moved this task from Backlog to Needs review on the Maps-Sprint board.Dec 8 2016, 4:14 AM

Change 325874 merged by jenkins-bot:
Add GeoHack to the list of map links

https://gerrit.wikimedia.org/r/325874

Yurik closed this task as Resolved.Dec 8 2016, 7:12 PM
Yurik claimed this task.
debt reopened this task as Open.Dec 9 2016, 8:47 PM

Should the link say "map" - since it's really not one map but a link to the old GeoHack page which is a collection of available maps?

I was able to see the new link by visiting this wmflabs page: http://vem3.wmflabs.org/wiki/Main_Page#/map/0

and it took me to this geohack page that isn't functioning properly (JS disabled error): https://tools.wmflabs.org/geohack/geohack.php?language=en&pagename=Main%20Page&params=37.8041_N_-122.4098_E_scale:8000
Is the error from something that is being passed in the URL to Geohack?


Yurik added a comment.Dec 9 2016, 9:55 PM

Works for me

JGirault moved this task from Needs review to Done on the Maps-Sprint board.Dec 15 2016, 12:06 AM
debt closed this task as Resolved.Dec 15 2016, 4:32 PM

Closing this as resolved, as it's in production, but I'm still not convinced that the link should say 'map' when it's a link to a page of a collection of maps on beta Geohack.

Closing this as resolved, as it's in production, but I'm still not convinced that the link should say 'map' when it's a link to a page of a collection of maps on beta Geohack.

I understand your point.
While I understand it does not perfectly fit in the Map category, I would prefer to keep it there so it appears on the first print of the sidebar, and since some users are particularly used to going to Geohack, I think it works well for them.
The metrics we collect should give us some conversion rate for the Geohack service, in comparison to other services. If we see that it's low, or even lower than other maps, we can move it out of the Map category.